/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 字典明细Entity
 * @author 马鹏波
 * @version 2018-05-30
 */
public class MainDictDetail extends DataEntity<MainDictDetail> {
	
	private static final long serialVersionUID = 1L;
	private String detailKey;		// 键值
	private String detailName;		// 名称
	private String detailAllName;		// 全称
	private String parentId;		// 父节点
	private String parentName;		//父节点名称
	private String endFlag;		// 末级标记
	private String parentIds;	//父节点集合
	private String parentNames; // 父节点名称集合
	private Office company;	//公司
	private MainDict mainDict;
	private String delFlags;
	private String sort;	//排序
	private String typeId;
	private String type;
	private String value;
	private String label;
	private String branchOffice;
	private String level;//字典级别
	private String newId;

	public String getNewId() {
		return newId;
	}

	public void setNewId(String newId) {
		this.newId = newId;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getBranchOffice() {
		return branchOffice;
	}

	public void setBranchOffice(String branchOffice) {
		this.branchOffice = branchOffice;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}


	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public MainDictDetail() {
		super();
	}
	public MainDictDetail(String id){
		super(id);
	}

	@ExcelField(title="键值", align=2, sort=7)
	public String getDetailKey() {
		return detailKey;
	}

	public void setDetailKey(String detailKey) {
		this.detailKey = detailKey;
	}
	
	@ExcelField(title="名称", align=2, sort=8)
	public String getDetailName() {
		return detailName;
	}

	public void setDetailName(String detailName) {
		this.detailName = detailName;
	}
	
	@ExcelField(title="全程", align=2, sort=9)
	public String getDetailAllName() {
		return detailAllName;
	}

	public void setDetailAllName(String detailAllName) {
		this.detailAllName = detailAllName;
	}
	
	@ExcelField(title="父节点", align=2, sort=10)
	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	@ExcelField(title="末级标记", align=2, sort=11)
	public String getEndFlag() {
		return endFlag;
	}

	public void setEndFlag(String endFlag) {
		this.endFlag = endFlag;
	}

	public String getParentIds() {
		return parentIds;
	}

	public void setParentIds(String parentIds) {
		this.parentIds = parentIds;
	}

	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}

	public MainDict getMainDict() {
		return mainDict;
	}

	public void setMainDict(MainDict mainDict) {
		this.mainDict = mainDict;
	}

	public String getParentNames() {
		return parentNames;
	}

	public void setParentNames(String parentNames) {
		this.parentNames = parentNames;
	}

	public String getDelFlags() {
		return delFlags;
	}

	public void setDelFlags(String delFlags) {
		this.delFlags = delFlags;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getTypeId() {
		return typeId;
	}

	public void setTypeId(String typeId) {
		this.typeId = typeId;
	}
}